+ Antworten
Seite 1 von 3 1 2 3 LetzteLetzte
Ergebnis 1 bis 10 von 27
  1. #1
    Registriert seit
    Aug 2010
    Beiträge
    4,758

    Standard IP-Symcon auf Odroid U3

    Guten Morgen,

    bin seit gestern "redlich bemüht" IP-Symcon auf einem Odroid U3 zu installieren. Ubuntu scheitert, da es nicht mit 32-bit läuft. Wheezy bin ich gerade am runterladen, stelle mir aber die Frage, ob das dann auch läuft. Vielleicht kann mir jemand schon vorher verraten, welches der richtige Weg ist.

    Danke


    Gruß
    Bruno

  2. #2
    Registriert seit
    Feb 2005
    Ort
    Lübeck
    Beiträge
    21,844

    Am besten wäre, wenn ein Raspbian Wheezy drauf laufen würde. Mit dem normalen Wheezy könntest du jedoch Glück haben können.
    Beachten, dass wir offiziell nur den Pi supporten. Aber wo bliebe dann der Spaß

    paresy

  3. #3
    Registriert seit
    Aug 2010
    Beiträge
    4,758

    Genau , danke für die Antwort.

    Verstehe allerdings den Hintergrund bei Ubuntu nicht ganz. Ist da noch eine 32-bit Version geplant? Die meisten der kleinen Teile laufen doch auf 32-bit.

  4. #4
    Registriert seit
    Feb 2005
    Ort
    Lübeck
    Beiträge
    21,844

    Ne. Die laufen auf ARM/ARMHF

    Und das ist quasi die RaspberryPi Version. Der limitierende Faktor sind eher die Bibliotheken, welche das System in welcher Version bereitstellt. z.B. gibt es dann gerne mal die GLIB_C Fehlermeldungen.

    paresy

  5. #5
    Registriert seit
    Aug 2010
    Beiträge
    4,758

    Na gut, dann werde ich mal zum Versuchskarnickel

  6. #6
    Registriert seit
    Sep 2015
    Beiträge
    3

    Hallo,

    Kannst du schon von ersten Erfolgen/Erfahrungen berichten?

    Gruß
    cl1x

  7. #7
    Registriert seit
    Aug 2010
    Beiträge
    4,758

    Symcon läuft im Prinzip. Die Probleme traten erst nach Einspielen des bisherigen Systems auf. Dann gab es dauernd Abstürze (Homematic-Schnittstelle, ...?) Diese hatte ich aber auch schon mit der 4er Windows.

    Momentan habe ich aber nicht die Zeit mich drum zu kümmern, von daher warte ich auf stabilere Symcon Versionen.

  8. #8
    Registriert seit
    Aug 2010
    Beiträge
    4,758

    So, Problem gelöst. Hatte mit der EMail-Abfrage zu tun. Erst mal alles gelöscht, jetzt läuft es durch.

    Habe noch einen Fehler mit der Library
    PHP-Code:
    Call to undefined function IPSUtils_Include() in 
    sollte laut hier
    Absturz nach Neu-Aggregation & autoload Skript
    gelöst sein, merke aber nichts davon
    Die Meldung kommt bei jedem Aufruf der Library

    Vielleicht kann mir jemand einen Trick verraten damit ich das abstellen kann. Forensuche und alles habe ich schon durch. Danke

    Ein weiterer Fehler tritt mit String-Variablen auf:
    Code:
    Illegal string offset 'ValueType' in <b>/usr/share/symcon/scripts/HighCharts_V300.ips.php</b> on line <b>457</b><br />
    Abbruch - Content-Variable ist keine STRING-Variable.
    Unter 3.4 war und ist dies einen String-Variable.

    Bitte auch hier um Unterstützung.

    Danke und schönen Abend
    Bruno

  9. #9
    Registriert seit
    Jun 2012
    Ort
    House of Dragons @ Lübeck
    Beiträge
    9,415

    Aus ValueType ist VariableType gewordenen: IPS_GetVariable — IP-Symcon :: Automatisierungssoftware

    Und wird bei der Library denn wenigstens die Datei gefunden ?
    Nicht das da noch das Slash Backslash Problem auftritt.
    Library mit von 3.4 kopiert oder neu installiert ? Letzte Version ?
    Ich nutze sie zwar nicht, aber dieser Fehler ist wohl schon häufiger aufgetreten.
    Michael
    on Win7VM (ESXi): I5, 24GB RAM, HW-RAID5, 3xSat | HW: CCU + 123 Geräte (506ch), EM1000, CUL, 1Wire, XBee, ELRO 433MHz, FritzBox Cable, Android Phone + Tablet, Samsung C-Serie TV +SamyGo-Ext, Onkyo NR| SW: IPS, Apache2(mod_ssl/PHP), MySQL, hMailServer, PRTG, Rising AV, Piwik, RoundCube, Wordpress, WinLIRC, WHS2011, MediaPortal, XBMC

  10. #10
    Registriert seit
    Aug 2010
    Beiträge
    4,758

    N'Abend Michael,

    danke schon mal.

    Die Pfade habe ich umgestellt, ja, das habe ich schon gefunden. Die Library ist von 3.4 übernommen und auf dem aktuellen Stand. Habe mal keine neuere Version gesehen.

Ähnliche Themen

  1. Odroid-XU4 (Acht CPU-Kerne auf einer Platine)
    Von Bayaro im Forum Mikrocontroller
    Antworten: 1
    Letzter Beitrag: 27.07.17, 22:58
  2. Antworten: 8
    Letzter Beitrag: 04.07.16, 11:53
  3. Umstieg auf IP-Symcon?
    Von lizard im Forum Alles rund um den PC
    Antworten: 13
    Letzter Beitrag: 31.01.12, 20:44
  4. Update auf IP-Symcon 2.4
    Von duck74 im Forum Allgemeine Diskussion (2.x/3.x)
    Antworten: 2
    Letzter Beitrag: 14.06.11, 12:33
  5. IP-Symcon auf Android?
    Von ThomasWest69 im Forum Allgemeine Diskussion (2.x/3.x)
    Antworten: 12
    Letzter Beitrag: 24.01.11, 23:21